gnutls_dh_params_import_raw(3)

NAME
gnutls_dh_params_import_raw - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_import_raw(gnutls_dh_params_t dh_params, const gnutls_datum_t * prime, const gnutls_datum_t * generator);

ARGUMENTS

gnutls_dh_params_t dh_params
    Is a structure that will hold the prime numbers

const gnutls_datum_t * prime
    holds the new prime

const gnutls_datum_t * generator
    holds the new generator

DESCRIPTION
This function will replace the pair of prime and generator for use in the Diffie-Hellman key exchange. The new parameters should be stored in the appropriate gnutls_datum.

RETURNS
On success, GNUTLS_E_SUCCESS (zero) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.